### Hierarchy

- Label

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec
- TYPE

### Methods

- render

## Constructors

### constructor

- new Label(spec: ISpecification): Label

- - Defined in lib/renderable/label/index.ts:20

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Label

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/label/index.ts:20

### Static TYPE

TYPE: "label" = "label"

- Defined in lib/renderable/label/index.ts:18

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/label/index.ts:29

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc